STRCPY(3)

NAME
strcpy - copy strings

SYNOPSIS
#include <string.h>
char *
strcpy(char *dst, const char *src);
char *
strncpy(char *dst, const char *src, size_t len);

DESCRIPTION
The strcpy() and strncpy() functions copy the string src to dst (including the terminating ‘\0’ character).

The strncpy() copies not more than len characters into dst, appending ‘\0’ characters if src is less than len characters long, and not terminating dst if src is more than len characters long.

RETURN VALUES
The strcpy() and strncpy() functions return dst.

EXAMPLES
The following sets “chararray” to “abc\0\0\0”:

    (void)strncpy(chararray, "abc", 6).

The following sets “chararray” to “abcdef”:

    (void)strncpy(chararray, "abcdefgh", 6);

SEE ALSO
bcopy(3), memccpy(3), memcpy(3), memmove(3)

STANDARDS
The strcpy() and strncpy() functions conform to ansiC.